Ubuntu – “ibus-qt4” package missing from disco packages

19.04ibus-avropackage-management

I tried to install avro. But it depends on ibus-qt4. When I searched, it is not in Disco packages. How can I install the package?

Best Answer

  • You can install this software if you download required dependencies from 18.10 (cosmic) repository manually:

    cd ~/Downloads
    wget http://mirrors.kernel.org/ubuntu/pool/universe/i/ibus-qt/libibus-qt1_1.3.3-1build2_amd64.deb
    sudo apt install ./libibus-qt1_1.3.3-1build2_amd64.deb
    
    wget http://mirrors.kernel.org/ubuntu/pool/main/i/icu/libicu60_60.2-6ubuntu1_amd64.deb
    sudo apt install ./libicu60_60.2-6ubuntu1_amd64.deb
    
    wget http://mirrors.kernel.org/ubuntu/pool/universe/i/ibus-qt/ibus-qt4_1.3.3-1build2_amd64.deb
    sudo apt install ./ibus-qt4_1.3.3-1build2_amd64.deb
    
    wget https://github.com/maateen/avro/releases/download/v2.1/avro_2.1-3_all.deb
    sudo apt install ./avro_2.1-3_all.deb
    

    Note: manual package installation is not recommended, but in your particular case I do not see other possibilities.